Subject: [idn] meeting in Yokohama

From: "James Seng" <[email-masked]>
Date: Thu, 16 May 2002 23:38:28 +0800

I am wondering if people thinks we should have a meeting in IETF Yokohama? 

If we meet up, I forsee the discussion would be 

a) What do we do next with the working group
b) What about outstanding drafts still in the pool, e.g. IRI, DM-IDNS etc.

Whats your opinion?

-James Seng

---

From: Rick Wesson <[email-masked]>
Date: Thu, 16 May 2002 09:55:43 -0700 (PDT)

> I am wondering if people thinks we should have a meeting in IETF Yokohama?

no.

> a) What do we do next with the working group

shut it down.

-rick

---

From: "Ketu Patel" <[email-masked]>
Date: Thu, 16 May 2002 13:06:57 -0400

I agree with Rick.

---

From: Dave Crocker <[email-masked]>
Date: Thu, 16 May 2002 11:49:01 -0700

> > a) What do we do next with the working group

Let me be typically more verbose, while supporting Rick's view:

This working group has realistically had only one goal, namely adding 
support for an international range of characters in domain name strings.

That work is completed.  The only issue is getting the specifications 
published.  We should focus only on that last task.  When it is achieved, 
this working group will have completed its goal.

There well might be follow-on working groups to charter, but they should be 
treated as entirely independent of the IDN working group.

d/

ps.  What IS worth pursuing, I think, is orchestrating interoperability 
testing of the specifications, as soon as is possible.

----------
Dave Crocker <mailto:[email-masked]>
TribalWise, Inc. <http://www.tribalwise.com>
tel +1.408.246.8253; fax +1.408.850.1850

---

From: John C Klensin <[email-masked]>
Date: Thu, 16 May 2002 15:33:23 -0400

If only to demonstrate that it does happen occasionally, Dave
and I are in complete agreement.

    john

--On Thursday, 16 May, 2002 11:49 -0700 Dave Crocker
<[email-masked]> wrote:

> This working group has realistically had only one goal, namely
> adding support for an international range of characters in
> domain name strings.
> 
> That work is completed.  The only issue is getting the
> specifications published.  We should focus only on that last
> task.  When it is achieved, this working group will have
> completed its goal.
> 
> There well might be follow-on working groups to charter, but
> they should be treated as entirely independent of the IDN
> working group.

---

From: "Soobok Lee" <[email-masked]>
Date: Fri, 17 May 2002 06:51:15 +0900

----- Original Message ----- 
From: "Dave Crocker" <[email-masked]>
> published.  

This is not true. This WG has no consensus on the problematic drafts, 
which have failed to reach the level of quality that any mission critical use of IDN 
requires.

---

From: "xiaodong lee" <[email-masked]>
Date: Fri, 17 May 2002 08:47:42 +0800

I think it is necessary to meet each other, coz there maybe some
other things to be decided in face to face meeting for so many 
active persons in IDN WG, e.g. next step for IDN.
And with that, we should absorb more people to complete the idn-admin
which is the great job.

xiaodong

----- 原始邮件 ----- 
发件人: "James Seng" <[email-masked]>
收件人: "IETF/IDN WG" <[email-masked]>
发送时间: 2002年5月16日 下午 11:38
主题: [idn] meeting in Yokohama

| I am wondering if people thinks we should have a meeting in IETF Yokohama? 
| 
| If we meet up, I forsee the discussion would be 
| 
| a) What do we do next with the working group
| b) What about outstanding drafts still in the pool, e.g. IRI, DM-IDNS etc.
| 
| Whats your opinion?
| 
| -James Seng
| 
| 
| 

________________________________________

      XiaoDong LEE ( X.D. Lee )
________________________________________
 Chinese Academy of Sciences(CAS)&CNNIC
 Tel.  (O):        +86-10-62619750-3020       
 Email (O):            [email-masked]         
       (P):   [email-masked]  
 Homepage :      http://xiaodong.n3.net
________________________________________

---

From: Rick Wesson <[email-masked]>
Date: Thu, 16 May 2002 18:12:58 -0700 (PDT)

xiaodong,

just a reminder.

no wg decisions are ever decided at face to face meetings in the IETF.

if there is more work to be done please state it so that we can decide if
we need to continue with the work here or propose another wg and have it
fall under a new charter.

best,

-rick

---

From: "xiaodong lee" <[email-masked]>
Date: Fri, 17 May 2002 09:23:51 +0800

hi, rick,

Thanks for your reminder, I know there are many procedures for 
wg decisions, but face to face meeting is useful for that, right?
or no IETF meeting is necessary, right?

I have state that we have work to do, I think you didn't review 
the idn-admin draft, why not read it. though it is not wg draft, it
is a complement draft for IDN WG work. 

xiaodong

xiaodong,

just a reminder.

best,

-rick

On Fri, 17 May 2002, xiaodong lee wrote:

> ----- åZYå§<é,®ä»¶ -----
> å'ä»¶äºº: "James Seng" <[email-masked]>
> æ"¶ä»¶äºº: "IETF/IDN WG" <[email-masked]>
> å'é?æ-¶é-´: 2002å¹´5æo^16æ-¥ ä¸<å^ 11:38
> ä¸»é¢~: [idn] meeting in Yokohama
>
>

---

From: John C Klensin <[email-masked]>
Date: Thu, 16 May 2002 21:28:45 -0400

--On Friday, 17 May, 2002 08:47 +0800 xiaodong lee
<[email-masked]> wrote:

> I think it is necessary to meet each other, coz there maybe
> some other things to be decided in face to face meeting for so
> many  active persons in IDN WG, e.g. next step for IDN.
> And with that, we should absorb more people to complete the
> idn-admin which is the great job.

For whatever it is worth, and with the understanding that I'm
speaking only for myself, I'd suggest a different model.  We
should finish the small amount of work that is clearly on IDN's
agenda and shut it down.  The WG has just dragged on too long
and accumulated too much baggage and debris.  Then, if you (or
others) have other agenda items (I know I do), it would be good
write the ideas down in the form of a proposal for a BOF or a
draft charter for another WG.  In other words, shutting IDN down
doesn't terminate all of the work that will now have to be done
with these names, including examining how they fit into
applications and how selected applications protocols should be
extended or modified.  That work is important and should be done
somewhere.  But there are few, if any, advantages of trying to
fit it into the IDN WG and we have all observed the
disadvantages of trying to do so.

regards,
    john

---

From: "xiaodong lee" <[email-masked]>
Date: Fri, 17 May 2002 09:36:20 +0800

Dear John,

Thank you for the suggestion, I see.
I think there are one point to be make clear.
Just shut it down? how about the four drafts?

xiaodong
----- 原始邮件 ----- 
发件人: "John C Klensin" <[email-masked]>
收件人: "Xiaodong LEE" <[email-masked]>; "James Seng" <[email-masked]>; "IETF/IDN WG" <[email-masked]>
发送时间: 2002年5月17日 上午 09:28
主题: Re: [idn] meeting in Yokohama

| 
| 
| --On Friday, 17 May, 2002 08:47 +0800 xiaodong lee
| <[email-masked]> wrote:
| 
| > I think it is necessary to meet each other, coz there maybe
| > some other things to be decided in face to face meeting for so
| > many  active persons in IDN WG, e.g. next step for IDN.
| > And with that, we should absorb more people to complete the
| > idn-admin which is the great job.
| 
| For whatever it is worth, and with the understanding that I'm
| speaking only for myself, I'd suggest a different model.  We
| should finish the small amount of work that is clearly on IDN's
| agenda and shut it down.  The WG has just dragged on too long
| and accumulated too much baggage and debris.  Then, if you (or
| others) have other agenda items (I know I do), it would be good
| write the ideas down in the form of a proposal for a BOF or a
| draft charter for another WG.  In other words, shutting IDN down
| doesn't terminate all of the work that will now have to be done
| with these names, including examining how they fit into
| applications and how selected applications protocols should be
| extended or modified.  That work is important and should be done
| somewhere.  But there are few, if any, advantages of trying to
| fit it into the IDN WG and we have all observed the
| disadvantages of trying to do so.
| 
| regards,
|     john
| 
|

---

From: John C Klensin <[email-masked]>
Date: Thu, 16 May 2002 21:50:31 -0400

> Just shut it down? how about the four drafts?

I would assume that the current WG isn't going anywhere before
the IESG has signed off on the drafts it is now processing.  But
that end-game state is not justification for holding a meeting
in Yokohama unless the ADs conclude that they need one to deal
with outstanding issues in the document.  And nothing in the
various notes Erik has circulated would lead me to predict that,
although I could, of course, be wrong.

I would think that any new, or so-far-incomplete, work would
benefit from being put into the context of a new WG which was
chartered and focused on that work.

    john

---

From: "Soobok Lee" <[email-masked]>
Date: Fri, 17 May 2002 11:00:02 +0900

Dynamic DNS Update (RFC2137) features allow some similar/identically-looking 
IDN ACE labels to be inserted without any intervention from human administrators.
IDN-administration draft efforts, most of which have focus on the idn REGISTRATION,
may be ignoring those protocol/security/architectural issues. 
ACE labels are to be treated and trusted as ASCII ones but it shouldn't .
That will be a great blow to the stability,trustworthiness and security of global DNS systems.

---

From: John C Klensin <[email-masked]>
Date: Thu, 16 May 2002 22:13:13 -0400

--On Friday, 17 May, 2002 11:00 +0900 Soobok Lee
<[email-masked]> wrote:

> Dynamic DNS Update (RFC2137) features allow some
> similar/identically-looking  IDN ACE labels to be inserted
> without any intervention from human administrators.
> IDN-administration draft efforts, most of which have focus on
> the idn REGISTRATION, may be ignoring those
> protocol/security/architectural issues.  ACE labels are to be
> treated and trusted as ASCII ones but it shouldn't . That will
> be a great blow to the stability,trustworthiness and security
> of global DNS systems.

I don't know quite how to say this politely, but, so?  More
specifically and to review the procedures as I understand them:

	* If you think this is an argument that the current
	drafts should not be approved, or even subject to an
	IETF Last Call, try to convince the ADs.   If they
	ignore you and issue a Last Call anyway, you could
	presumably appeal their decision, although (speaking as
	an individual), I wouldn't particularly recommend that.
	
	* If you believe when an IETF Last Call opens that there
	are important issues that the WG had declined, or been
	unable, to address effectively, you should raise the
	issues --forcefully and with good and specific
	documentation-- at that point.  If you conclude that
	there is no adequate response, you have the right to use
	the appeal mechanism at that stage.
	
	* If you believe that there are technical issues that
	should be addressed in a WG, you should propose an
	appropriate WG with an appropriate charter.  It seems
	very clear to me that the current IDN group, having not
	been willing to address these issues in the past (at
	least partially because many people believe they are not
	within the charter), is not going to address them in
	useful ways in the future.

But the current WG, I believe, should be around long enough to
get the documents that are now in front of the IESG finished,
and then should be shut down rather than looking for new tasks
or picking up discarded ones.

Just my opinion.
    john

---

From: Jaap Akkerhuis <[email-masked]>
Date: Fri, 17 May 2002 11:49:19 +0200

Dynamic DNS Update (RFC2137) features allow some
    similar/identically-looking IDN ACE labels to be inserted without
    any intervention from human administrators.  IDN-administration
    draft efforts, most of which have focus on the idn REGISTRATION,
    may be ignoring those protocol/security/architectural issues.
    ACE labels are to be treated and trusted as ASCII ones but it
    shouldn't .  That will be a great blow to the stability,trustworthiness
    and security of global DNS systems.

No sensible registry should allow dynamic updates bypass the
registration process. This has nothing to do with IDN.

	jaap

---

From: Erik Nordmark <[email-masked]>
Date: Fri, 17 May 2002 16:17:05 +0200 (CEST)

> although I could, of course, be wrong.

Correct, this AD has no such concerns.
My hope is to see I-D versions that address (or explicitly choose to not
address :-) my suggestions for editorial clarifications real soon so that
we can start the IETF-wide last call.

*If* those last calls result in significant issues then the WG will need
to decide how to handle them. At which point the WG might decide it
needs the high bandwidth communication of a meeting.

But it would be useful to be able to make that decision sooner rather than
later by getting updated I-Ds out.

  Erik